commit e24b17e87899a4b7645db89c9af98632d4946850
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Jan 22 00:22:59 2025 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 87d56a93812..78655a49749 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,16 @@
+2025-01-21  Jan Hubicka  <jh@suse.cz>
+
+	Backported from master:
+	2024-09-03  Jan Hubicka  <jh@suse.cz>
+
+	* config/i386/x86-tune.def (X86_TUNE_USE_GATHER_2PARTS): Disable for
+	ZNVER5.
+	(X86_TUNE_USE_SCATTER_2PARTS): Disable for ZNVER5.
+	(X86_TUNE_USE_GATHER_4PARTS): Disable for ZNVER5.
+	(X86_TUNE_USE_SCATTER_4PARTS): Disable for ZNVER5.
+	(X86_TUNE_USE_GATHER_8PARTS): Disable for ZNVER5.
+	(X86_TUNE_USE_SCATTER_8PARTS): Disable for ZNVER5.
+
 2025-01-20  Uros Bizjak  <ubizjak@gmail.com>
 
 	PR target/118067
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 309e1782f83..b0aec664e8d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250121
+20250122
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 35d8394da3e..29b1af50a6d 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,13 @@
+2025-01-21  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2024-04-19  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/111650
+	* decl.cc (get_fndecl_arguments): Move generation of frame type to ...
+	(DeclVisitor::visit (FuncDeclaration *)): ... here, after the call to
+	build_closure.
+
 2025-01-20  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 22ef7c0786e..7e42b32482a 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-01-21  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2024-04-19  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/111650
+	* gdc.dg/pr111650.d: New test.
+
 2025-01-20  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:

